If (0)
DefineConstant[
  cm = 1e-2,
  mm = 1e-3
  // nturns = {9, Name "Param. Geometry/00Nb coil turns", Highlight "Pink", ReaOnly}
  // lengthInd = {9*cm, Name "Param. Geometry/01length of inductor", Highlight "Pink"}
  // rin = {17*mm, Name "Param. Geometry/02inner radius inductor", Highlight "Pink"}
  rw     = {5*mm/2, Name "Param. Geometry/03radius or wire", Highlight "Pink", ReadOnly}
  // pitch  = {lengthInd/(nturns-1), Name "Param. Geometry/04pitch", Highlight "Pink", ReadOnly 1}
  rplateC = {6*cm, Name "Param. Geometry/10radius of capacitor plates", Highlight "LightCyan", ReadOnly}
  dplateC = {3*mm, Name "Param. Geometry/11distance between plates", Highlight "LightCyan", ReadOnly}
];
EndIf

cm = 1e-2;
mm = 1e-3;
rw = 5*mm/2;
rplateC = 6*cm;
dplateC = 3*mm;


sigma_cond = 1e7;
mur_core = 1000;
epsr_diel = 1e6;
sigma_diel = 0;

mu0 = 4.e-7 * Pi ;
nu0  = 1/mu0;
eps0 = 8.854187818e-12;

// *****************

nuAir = nu0;
epsAir = eps0;
sigmaAir = 0;

nuCore = 1/(mu0*mur_core);
epsCore = eps0;
sigmaCore = 0;

nuDiel = nu0;
epsDiel = eps0*epsr_diel;
sigmaDiel = sigma_diel;

nuCond = nu0;
epsCond = eps0;
sigmaCond = sigma_cond;


//----------------------
// Physical numbers...
//----------------------
CONDUCTOR     = 1000;  // volume, conductor touching the boundary at the excited termimnal, including the coil wire and one plate
BND_CONDUCTOR = 1111;  // volume, conductor touching the boundary at the grounded terminal and including the other plate

ELEC_IN  = 111; // surface, excited terminal
ELEC_OUT = 112; // surface, grounded terminal

DIELECTRIC   = 2000; // volume, the dielectric of the capacitor
ELEC_DIEL_IN = 221;
ELEC_DIEL_OUT = 222;

CORE = 3000;  // volume, the core of the coil

AIR = 4000;  // volume, the air
BND_AIR = 4444; // surface, boundary touched by air

// **********************
cGUI= "{CL - Excitation/";
close_menu = 1;
colorro = "LightGrey";
mTypeBC = StrCat[cGUI,"Type of ECE Excitation/0"];

colorMTypeBC = "Red";
DefineConstant[
  Flag_AnalysisType = { 0,
    Choices{
      0="ev",
      1="ec"},
    Name Str[mTypeBC], Highlight Str[colorMTypeBC], Closed !close_menu,
    ServerAction Str["Reset", "GetDP/1ResolutionChoices"]}
];

// frequencies are set in the Matlab script (Freq and freqs)

// What is used depends on the Flag_AnalysisType: 0 for ev, 1 for ec, which is set in the matlab script

ITermRMS = 1;
ITermPhase = 0;

VTermRMS = 1;
VTermPhase = 0;

modelDim = 3; // 
Flag_Axi = 0; // 1 for AXI - it makes sense only for modelDim = 2

If ((modelDim == 2)&&(Flag_Axi == 0))
	h2Ddepth = h;
ElseIf ((modelDim == 2)&&(Flag_Axi == 1))   // 2D AXI
	h2Ddepth = 2*Pi;
Else // 3D
    h2Ddepth = 1;
EndIf