function value = solve_onelab(freqs,Flag_AnalysisType)
% path to gmsh and getdp should be set

if (Flag_AnalysisType == 0)
    fileName = 'res\FWeceBC_voltExc\test_Y_RI.s1p';
else
    fileName = 'res\FWeceBC_crtExc\test_Z_RI.s1p';
end

NbFreqs = length(freqs);

system(sprintf('gmsh LC.geo -setnumber Flag_AnalysisType %d -3 -v 2 ', Flag_AnalysisType));

for k = 1:NbFreqs
    disp(k);
    disp(freqs(k));
    freqsk = freqs(k);
    if k == 1
        firstFreq = 1;
    else
        firstFreq = 0;
    end
    system(sprintf(['getdp LC.pro -setnumber Freq %g freqs %g -setnumber Flag_AnalysisType %d -setnumber firstFreq %d -solve FullWave_E_ece -v 3 -pos TransferMatrix'],...
        freqsk, freqsk, Flag_AnalysisType, firstFreq));
end
[ptype,pformatfile,frequency_points,value,Z0,...
    freq_unit,nports] = loadsnp(strcat('./',fileName));
system(strcat('del',strcat(' .\',fileName)));
end