function ok = exportDEM2(poles,residues,k,filename,prop,ptype,fmin,fmax,anscir)

ok = 0;

qr=[]; qc=[]; realpoles = []; cplxpl=[]; kinf= []; kreal=[]; kcplx=[];
kzero = [];

q = length(poles); % no of poles
q2 = size(residues,length(size(residues)));
if q ~= q2
    disp('exportDEM2: inconsistency q');
    ok = 20;
    return;
end

if length(size(residues)) == 2
    N = sqrt(size(residues,1)); % no inputs = no outputs
elseif length(size(residues)) == 3
    N = size(residues,1);
else
    error('DEM 2 - dimensiuni ciudate pentru residues');
end
p = poles;

for  i = 1:N
    for j = 1:N
        qr = 0;    % qr will be the number of real poles
        qctot = 0; % gcttot will be the number of complex poles
        if length(size(residues)) == 2
            col = j+(i-1)*N;
            r = residues(col,:);
            rezd = k(col);
        else
            r = residues(i,j,:);
            rezd = k(i,j);
        end
        if and(i==1,j==1)
            disp('poles');
            disp(p);
            
        end
        if isempty(rezd)
            rezd = 0;
        end;
        kinf(i,j) = rezd;
        if length(size(residues)) == 2
            kzero(i,j) = prop(col);
        else
            kzero(i,j) = prop(i,j);
        end
        for t = 1:q
            if isreal(p(t))
                qr = qr + 1;
                realpl(i,j,qr) = p(t);
                kreal(i,j,qr) = r(t);
            else
                qctot = qctot + 1;
                complexpl(i,j,qctot) = p(t);
                kcomplex(i,j,qctot) = r(t);
            end;
        end
        % sort the real poles so that it will be easier to assembly
        % the residual matrix that correspond to them
        if qr ~= 0
            [realpl(i,j,:),index] = sort(realpl(i,j,:));
            kreal(i,j,:) = kreal(i,j,index);
        end
        
        % sort the complex poles
        if qctot ~= 0
            [complexpl(i,j,:),index] = sort(complexpl(i,j,:));
            kcomplex(i,j,:) = kcomplex(i,j,index); 
        end
        
    end
end
if qr ~= 0
    realpoles = realpl(1,1,:);
end
if qctot ~= 0
    qc = qctot/2;  % no of pairs of complex conjugate poles
    for k = 1:qc
        cplxpl(k) = complexpl(1,1,2*k);
        for i = 1:N
            for j = 1:N
                kcplx(i,j,k) = kcomplex(i,j,2*k);
            end
        end
    end
end

ok = savecirDEM(filename,N,qr,qc,realpoles,cplxpl,kinf,kreal,kcplx,kzero,ptype,fmin,fmax,anscir);

