function plot_rectangle_analitic_FW(crt,geom,mat,freq,files,idxfig,f,tplotDivider,nx,ny)

tplot = (1/f)/tplotDivider;

a = geom.a;
l = geom.l;
h = geom.h;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);
epsi = mat.eps;

vectx = linspace(-a,a,nx);
vecty = linspace(0,l,ny);
dx = 2*a/(nx-1);
dy = l/(ny-1);

omega = 2*pi*f;
gamma_cplx_patrat = 1i*omega*miu.*(sig + 1i*omega*epsi);
gamma_cplx = sqrt(gamma_cplx_patrat);

shga = sinh(gamma_cplx*a);
chgx = cosh(gamma_cplx*vectx);
shgx = sinh(gamma_cplx*vectx);

Ey_complex = (gamma_cplx./(sig + 1j*omega*epsi)).*(chgx./shga)*crt/(2*h);

Ey_inst = abs(Ey_complex)*sqrt(2).*sin(omega*tplot+phase(Ey_complex));
Hz_complex = -crt/(2*h)*shgx./shga;
%disp('Hz complex pe latura din stanga');
Hz_complex_save = Hz_complex(1);
%disp('Ey complex pe latura din stanga');
Ey_complex_save = Ey_complex(1);

[X,Y] = meshgrid(vectx,vecty);
%[EX,EY] = meshgrid(Ex,Ey_complex);
EX = zeros(ny,nx);
EY = zeros(ny,nx);
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
for j = 1:ny
    for i = 1:nx
        EY(j,i) = Ey_inst(i);  
    end
end

% for j = 1:ny-1
%     for i = 1:nx-1
%         xstg = -a + (i-1)*dx;
%         yjos = (j-1)*dy;
%         xdr = xstg + dx;
%         ysus = yjos + dy;
%         
%         vert = [xstg yjos;...
%             xdr yjos;...
%             xdr ysus;...
%             xstg ysus]; % x and y vertex coordinates
%         fac = [1 2 3 4]; % vertices to connect to make square
%         %patch('Faces',fac,'Vertices',vert,'FaceColor','red','EdgeColor','none','LineStyle',':');
%         patch('Faces',fac,'Vertices',vert,'FaceColor','red','LineStyle',':');
%     end
% end


% Initiate plotting
ih = ishold;
ax = newplot;
%=============
xmin = -a;
xmax = a;
ymin = 0;
ymax = l;

no_nodes = nx*ny;
no_elems = (nx-1)*(ny-1)*2;
coord_x = linspace(xmin,xmax,nx);
coord_y = linspace(ymin,ymax,ny);

no2xy = zeros(2,no_nodes);
el2no = zeros(3,no_elems);

%%%%%%%%%%%%%%%%%%%%%%%%%% generare mesh
for i = 1:nx
    idxc = (i-1)*ny+1:i*ny;
    no2xy(1,idxc) = coord_x(i)*ones(1,ny);
    no2xy(2,idxc) = coord_y;
end

idxel = 0;
for i = 1:nx-1
    for j = 1:ny-1
        % colturile dreptunghiului
        idx_js = (i-1)*ny+1+(j-1); %jos stanga
        idx_ss = idx_js + 1;
        idx_jd = idx_js + ny; % jos dreapta
        idx_sd = idx_jd + 1;
        idxel = idxel + 1; % elem de jos
        el2no(1,idxel) = idx_js;
        el2no(2,idxel) = idx_jd;
        el2no(3,idxel) = idx_ss;
        idxel = idxel + 1; % elem de sus
        el2no(1,idxel) = idx_ss;
        el2no(2,idxel) = idx_jd;
        el2no(3,idxel) = idx_sd;
    end
end

% calculeaza campul magnetic in centrul triunghiului
xcentre = (no2xy(1,el2no(1,:))+no2xy(1,el2no(2,:))+no2xy(1,el2no(3,:)))/3;

shgx = sinh(gamma_cplx*xcentre);
chgx = cosh(gamma_cplx*xcentre);

Hz_complex_c = -crt/(2*h)*shgx./shga;
% disp('cp magnetic Hz-complex in primul element');
% Hz_complex_c(1)

Hz_inst = abs(Hz_complex_c)*sqrt(2).*sin(omega*tplot+phase(Hz_complex_c));
Ey_complex_c = (gamma_cplx./(sig + 1j*omega*epsi)).*(chgx./shga)*crt/(2*h);
Ey_inst = abs(Ey_complex_c)*sqrt(2).*sin(omega*tplot+phase(Ey_complex_c));

% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Hz_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Hz_inst(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: Hz(T/%d), arrows: Ey(T/%d); %g GHz',tplotDivider,tplotDivider,f/1e9));
mrz = max(abs(Hz_inst(:)));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);

quiver(X*1e6,Y*1e6,EX,EY,'k');
%quiver(X,Y,EX,EY);

if ~ih
    hold off
end

% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: Ey(T/%d), %g GHz',tplotDivider,f/1e9));
mrz = max(abs(Ey_inst(:)));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end



% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',abs(Ey_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: rms Ey; %g GHz', f/1e9));
mrz = max(abs(Ey_complex_c(:)));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end

% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',real(Ey_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: real part of Ey; %g GHz', f/1e9));
mrz = max(abs(real(Ey_complex_c(:))));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end


% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',imag(Ey_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: imag part of Ey; %g GHz', f/1e9));
mrz = max(abs(imag(Ey_complex_c(:))));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end

% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',abs(Hz_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: rms Hz; %g GHz',f/1e9));
mrz = max(abs(Hz_complex_c(:)));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end

% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',real(Hz_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: real part of Hz; %g GHz',f/1e9));
mrz = max(abs(real(Hz_complex_c(:))));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end

% Initiate plotting
idxfig = idxfig+1;
figure(idxfig); clf; 
hold on;
ih = ishold;
ax = newplot;
% patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',full(Ey_inst(:)), ...
%     'facecolor',get(ax,'defaultsurfacefacecolor'), ...
%     'edgecolor',get(ax,'defaultsurfaceedgecolor'));
patch('faces',el2no','vertices',no2xy'*1e6,'facevertexcdata',imag(Hz_complex_c(:)), ...
    'facecolor',get(ax,'defaultsurfacefacecolor'), ...
    'edgecolor','none');
axis equal, hold on
xlabel('x [{\mu}m]');
ylabel('y [{\mu}m]');
title(sprintf('Colors: imaginary part of Hz; %g GHz',f/1e9));
mrz = max(abs(imag(Hz_complex_c(:))));
caxis([-mrz, mrz]);
c = (0:64)'/64; d = [c c ones(size(c))];
colormap([d ;1 1 1; d(end:-1:1,end:-1:1)]);
colorbar
xlim([-1.2*a*1e6,1.2*a*1e6]);
ylim([0,1.5*l*1e6]);
if ~ih
    hold off
end


% pun si capetele
xcentre = [vectx(1) xcentre vectx(end)];
Ey_complex_c = [Ey_complex(1) Ey_complex_c Ey_complex(end)];
Hz_complex_c = [Hz_complex(1) Hz_complex_c Hz_complex(end)];

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,abs(Ey_complex_c),'-r','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('rms  Ey [V/m]');
title(sprintf('Electric field, f = %g GHz',f/1e9));
grid on;
save('Ey.mat','xcentre','Ey_complex_c','f');

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,real(Ey_complex_c),'-r','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('real part of  Ey [V/m]');
title(sprintf('Real part of Ey at, f = %g GHz',f/1e9));
grid on;
save('realEy.mat','xcentre','Ey_complex_c','f');

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,imag(Ey_complex_c),'-r','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('imag part of  Ey [V/m]');
title(sprintf('Imag part of Ey at, f = %g GHz',f/1e9));
grid on;
save('imagEy.mat','xcentre','Ey_complex_c','f');


% idxfig = idxfig+1;
% figure(idxfig); clf; 
% plot(xcentre*1e6,phase(Ey_complex_c)*180/pi);
% xlabel('x [{\mu}m]');
% ylabel('arg of Ey [degrees]');

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,abs(Hz_complex_c),'-g','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('rms of Hz [A/m]');
grid on;
title(sprintf('Magnetic field, f = %g GHz',f/1e9));
save('Hz.mat','xcentre','Hz_complex_c','f');

% idxfig = idxfig+1;
% figure(idxfig); clf; 
% plot(xcentre*1e6,phase(Hz_complex_c)*180/pi);
% xlabel('x [{\mu}m]');
% ylabel('arg of Hz [degrees]');

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,real(Hz_complex_c),'-g','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('real of Hz [A/m]');
grid on;
title(sprintf('Real part of the magnetic field Hz, f = %g GHz',f/1e9));
save('realHz.mat','xcentre','Hz_complex_c','f');

% idxfig = idxfig+1;
% figure(idxfig); clf; 
% plot(xcentre*1e6,phase(Hz_complex_c)*180/pi);
% xlabel('x [{\mu}m]');
% ylabel('arg of Hz [degrees]');

idxfig = idxfig+1;
figure(idxfig); clf; 
plot(xcentre*1e6,imag(Hz_complex_c),'-g','LineWidth',2);
xlabel('x [{\mu}m]');
ylabel('real of Hz [A/m]');
grid on;
title(sprintf('Imaginary part of the magnetic field Hz, f = %g GHz',f/1e9));
save('imagHz.mat','xcentre','Hz_complex_c','f');

% idxfig = idxfig+1;
% figure(idxfig); clf; 
% plot(xcentre*1e6,phase(Hz_complex_c)*180/pi);
% xlabel('x [{\mu}m]');
% ylabel('arg of Hz [degrees]');

disp('Useful values for FEM - at x = -a');
fprintf('\n Hz complex pe latura din stanga = ');
disp(Hz_complex_save);
fprintf('\n Ey complex pe latura din stanga');
disp(Ey_complex_save);


end
