function rectangle_analitic_MQS(geom,mat,freq,files,idxfig,R_cc_extrem,L_cc_extrem)

a = geom.a;
l = geom.l;
h = geom.h;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);

%%
omega = 2*pi*fvect;
gamma_cplx_patrat = 1i*omega*miu*sig;
gamma_cplx = sqrt(gamma_cplx_patrat);
% mai bine ar fi - ca sa nu extrag radical din nr complexe
% alpha = \sqrt(\omega \mu \sigma/2)
% beta = alpha;
% gamma_cplx = alpha + 1i*beta;

% I = 1 (valoarea efectiva a curentului0

gamma_a = gamma_cplx*a;

P_ap_cplx_lineic = (l/(2*h))*(gamma_cplx./(sig)).*(cosh(gamma_a)./sinh(gamma_a));
R_h = real(P_ap_cplx_lineic);
X_h = imag(P_ap_cplx_lineic); 
L_h = X_h./omega;

Rmqs = R_h;
Lmqs = L_h;

disp('====cc');
fprintf('MQS: R  = %e\n',Rmqs(1));
fprintf('MQS: L = %e\n',Lmqs(1));
fprintf('should be equal to R = %e; L = %e \n',R_cc_extrem,L_cc_extrem);

  
     

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rmqs,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Resistance - from MQS, analytic');
grid on;
ylim([4e-3,1e-1]);
xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lmqs,'--k','Linewidth',2);
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity -  from MQS, analytic');
grid on;
ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zmqs = Rmqs + 1i.*2*pi.*fvect.*Lmqs;
Ymqs = 1./Zmqs;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zmqs, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Ymqs, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);


end