function  [Rh_cc,Lh_cc] = rectangle_analitic_extrem(geom,mat,freq,files,idxfig)
% the domain is x in [-a, a], y in [0,l]
a = geom.a;
l = geom.l;
h = geom.h;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
nop = length(fvect);
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);
%% skin depth
delta = sqrt(2./(2*pi.*fvect*miu*sig));
figure(idxfig); clf;
loglog(fvect,delta*1e6,'Linewidth',2);
xlabel('f [Hz]');
ylabel('{\delta} [{\mu}m]');
title('Penetration depth')
grid on;
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
Lh_pp = l*miu*delta/(4*h);
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

%% valori analitice de curent continuu / analytical values for d.c.
Rh_cc = l/(sig*2*a*h);
Lh_cc = miu*l*a/(6*h);


%% valori analitice la efect pelicular pronuntat
% analytical values for strong skin depth
Rh_pp = l./(sig*2*delta*h);
Lh_pp = l*miu*delta/(4*h);


idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rh_pp,'-r','Linewidth',2);
leg{1} = 'strong penetration depth';
hold on;
loglog(fvect,Rh_cc*ones(nop,1),'--b','Linewidth',2);
leg{2} = 'direct current';
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance');
legend(leg,'Location','best');
grid on;
%ylim([4e-3,1e-1]);
%xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idx = find(Rh_pp-Rh_cc>0,1);
Rasimptote = [Rh_cc*ones(idx-1,1); Rh_pp(idx:end)];
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rasimptote,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Resistance - from extreme cases');
grid on;
%ylim([4e-3,1e-1]);
%xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lh_pp,'-r','Linewidth',2);
leg{1} = 'strong penetration depth';
hold on;
loglog(fvect,Lh_cc*ones(nop,1),'--b','Linewidth',2);
leg{2} = 'direct current';
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity');
legend(leg,'Location','best');
grid on;
%ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idx = find(Lh_pp-Lh_cc<0,1);
Lasimptote = [Lh_cc*ones(idx-1,1); Lh_pp(idx:end) ];
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lasimptote,'--k','Linewidth',2);
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductance - from extreme cases');
grid on;
%ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zasimptote = Rasimptote + 1i.*2*pi.*fvect.*Lasimptote;
Yasimptote = 1./Zasimptote;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zasimptote, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Yasimptote, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);




end

