clc;
clear all;
close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\Results_log\02_Tshape2D_MIMO_assembleS2P\results9mar22';

addpath(sourcespath);
addpath(problempath);
chdir(problempath);

testHG = 0;

if 1 == 0
    snp_pathname = './res/FWeceBC_ec_ec/';
    snp_filename11 = 'test_Z11_RI.partial_s2p.s1p';
    snp_filename21 = 'test_Z21_RI.partial_s2p.s1p';
    snp_filename12 = 'test_Z12_RI.partial_s2p.s1p';
    snp_filename22 = 'test_Z22_RI.partial_s2p.s1p';
    snp_filename = 'test_Z_RI.s2p';
end
if 1 == 0
    snp_pathname = './res/FWeceBC_ev_ev/';
    snp_filename11 = 'test_Y11_RI.partial_s2p.s1p';
    snp_filename21 = 'test_Y21_RI.partial_s2p.s1p';
    snp_filename12 = 'test_Y12_RI.partial_s2p.s1p';
    snp_filename22 = 'test_Y22_RI.partial_s2p.s1p';
    snp_filename = 'test_Y_RI.s2p';
end
if 1 == 0
    testHG = 1;
    snp_pathname = './res/FWeceBC_ec_ev/';
    snp_filename11 = 'test_H11_RI.partial_s2p.s1p';
    snp_filename21 = 'test_H21_RI.partial_s2p.s1p';
    snp_filename12 = 'test_H12_RI.partial_s2p.s1p';
    snp_filename22 = 'test_H22_RI.partial_s2p.s1p';
    snp_filename = 'test_H_RI.s2p';
end
if 1 == 1
    testHG = 1;
    snp_pathname = './res/FWeceBC_ev_ec/';
    snp_filename11 = 'test_G11_RI.partial_s2p.s1p';
    snp_filename21 = 'test_G21_RI.partial_s2p.s1p';
    snp_filename12 = 'test_G12_RI.partial_s2p.s1p';
    snp_filename22 = 'test_G22_RI.partial_s2p.s1p';
    snp_filename = 'test_G_RI.s2p';
end



[ptype11,pformatfile11,frequency_points11,value11,Z011,freq_unit11,nports11] = ...
    loadsnp(strcat(snp_pathname,snp_filename11));
[ptype21,pformatfile21,frequency_points21,value21,Z021,freq_unit21,nports21] = ...
    loadsnp(strcat(snp_pathname,snp_filename21));
[ptype12,pformatfile12,frequency_points12,value12,Z012,freq_unit12,nports12] = ...
    loadsnp(strcat(snp_pathname,snp_filename12));
[ptype22,pformatfile22,frequency_points22,value22,Z022,freq_unit22,nports22] = ...
    loadsnp(strcat(snp_pathname,snp_filename22));
% check of types
if  not(and(and(and(strcmp(ptype11,ptype21),strcmp(pformatfile11,pformatfile21)),...
        and(strcmp(freq_unit11,freq_unit21),nports11==1)),nports21==1))
    error('11 and 21: wrong type files!');
end
if  not(and(and(and(strcmp(ptype11,ptype12),strcmp(pformatfile11,pformatfile12)),...
        and(strcmp(freq_unit11,freq_unit12),nports11==1)),nports12==1))
    error('11 and 12: wrong type files!');
end
if  not(and(and(and(strcmp(ptype11,ptype22),strcmp(pformatfile11,pformatfile22)),...
        and(strcmp(freq_unit11,freq_unit22),nports11==1)),nports22==1))
    error('11 and 22: wrong type files!');
end
% end check of types
lf11 = length(frequency_points11);
lf21 = length(frequency_points21);
lf12 = length(frequency_points12);
lf22 = length(frequency_points22);
if and(and(lf11 == lf21,lf11==lf12),(lf11 == lf22))
    if and(and((norm(frequency_points11 - frequency_points21) < eps),(norm(frequency_points11 - frequency_points12) < eps)),...
            (norm(frequency_points11 - frequency_points22) < eps))
        disp('identical frequencies in all 4 files');
        valueMatrix = zeros(2,2,lf11);
        valueMatrix(1,1,:) = value11;
        valueMatrix(2,1,:) = value21;
        valueMatrix(1,2,:) = value12;
        valueMatrix(2,2,:) = value22;
    end
    all_freq = frequency_points11;
else
    disp('frequencies are not identical in all 4 files');
    disp('interpolations are carried out');
    all_freq = [frequency_points11;...
        frequency_points21;...
        frequency_points12;...
        frequency_points22];
    all_freq = sort(all_freq);
    [idx_to_remove] = find((diff(all_freq) < eps)==1);
    all_freq(idx_to_remove) = [];
    %
    value11_new = interp1(frequency_points11,value11,all_freq,'linear','extrap');
    value21_new = interp1(frequency_points21,value21,all_freq,'linear','extrap');
    value12_new = interp1(frequency_points12,value12,all_freq,'linear','extrap');
    value22_new = interp1(frequency_points22,value22,all_freq,'linear','extrap');
    %
    valueMatrix = zeros(2,2,length(all_freq));
    valueMatrix(1,1,:) = value11_new;
    valueMatrix(2,1,:) = value21_new;
    valueMatrix(1,2,:) = value12_new;
    valueMatrix(2,2,:) = value22_new;
end
chdir(snp_pathname);
% write s2p
writesnp_v2(snp_filename, all_freq, valueMatrix, ptype11, freq_unit11,Z011,pformatfile11);
%%%%%%%%%%%%%% conversion to other formats (posibile only for Z, Y or S,
%%%%%%%%%%%%%% not for H or G)
if testHG == 0
    snp2snp('',snp_filename,'S','DB',strcat(snp_filename,'_S_DB.s2p'));
    snp2snp('',snp_filename,'S','MA',strcat(snp_filename,'_S_MA.s2p'));
    snp2snp('',snp_filename,'Z','MA',strcat(snp_filename,'_Z_MA.s2p'));
end
chdir(problempath);

