function Ishape_analitic_Bessel_FW(geom,mat,freq,files,idxfig)

a = geom.a;
l = geom.l;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);
epsi = mat.eps;

%%
omega = 2*pi*fvect;
gamma_cplx_patrat = 1i*omega*miu.*(sig + 1i*omega*epsi);
gamma_cplx = sqrt(gamma_cplx_patrat);
% radicalul din nr complexe - cu grija!

% I = 1 (valoarea efectiva a curentului0


P_ap_cplx_lineic = -omega.*miu./(2*pi*a.*gamma_cplx).*...
     besselj(0,1i*gamma_cplx*a)./(besselj(1,1i*gamma_cplx*a));
Rl = real(P_ap_cplx_lineic);
Xl = imag(P_ap_cplx_lineic); 
Ll = Xl./omega;

% cum arata raportul dintre functiile bessel
raport = besselj(0,1i*gamma_cplx*a)./besselj(1,1i*gamma_cplx*a);

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(omega,-real(raport));
title('FW - minus real(J0/J1)')
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(omega,-imag(raport));
title('FW - minus imag(J0/J1)')


Rfw = Rl*l;
Lfw = Ll*l;

disp('====cc');
fprintf('FW: R pt cond de lung l = %e\n',Rfw(1));
fprintf('FW: L pt cond de lung l = %e\n',Lfw(1));
disp('tb sa iasa R = 7.71e-3; L = 5e-13');


idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rfw,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance - from FW, analytic');
grid on;
ylim([4e-3,1e-1]);
xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lfw,'--k','Linewidth',2);

xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity -  from FW, analytic');
grid on;
ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zfw = Rfw + 1i.*2*pi.*fvect.*Lfw;
Yfw = 1./Zfw;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zfw, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Yfw, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);


end
