function Ishape_analitic_Bessel_MQS(geom,mat,freq,files,idxfig)

a = geom.a;
l = geom.l;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);

%%
omega = 2*pi*fvect;
gamma_cplx_patrat = 1i*omega*miu*sig;
gamma_cplx = sqrt(gamma_cplx_patrat);
% mai bine ar fi - ca sa nu extrag radical din nr complexe
% alpha = \sqrt(\omega \mu \sigma/2)
% beta = alpha;
% gamma_cplx = alpha + 1i*beta;

% I = 1 (valoarea efectiva a curentului0

P_ap_cplx_lineic = -omega.*miu./(2*pi*a.*gamma_cplx).*...
     besselj(0,1i*gamma_cplx*a)./(besselj(1,1i*gamma_cplx*a));
Rl = real(P_ap_cplx_lineic);
Xl = imag(P_ap_cplx_lineic); 
Ll = Xl./omega;

% cum arata raportul dintre functiile bessel
raport = besselj(0,1i*gamma_cplx*a)./besselj(1,1i*gamma_cplx*a);

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(omega,-real(raport));
title('minus real(J0/J1)')
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(omega,-imag(raport));
title('minus imag(J0/J1)')

Rmqs = Rl*l;
Lmqs = Ll*l;

disp('====cc (direct current)');
fprintf('MQS: R for the conductor of length l = %e\n',Rmqs(1));
fprintf('MQS: L for the conductor of length l = %e\n',Lmqs(1));
disp('the results should be R = 7.71e-3; L = 5e-13');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rmqs,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance - from MQS, analytic');
grid on;
ylim([4e-3,1e-1]);
xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lmqs,'--k','Linewidth',2);
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity -  from MQS, analytic');
grid on;
ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zmqs = Rmqs + 1i.*2*pi.*fvect.*Lmqs;
Ymqs = 1./Zmqs;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zmqs, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Ymqs, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);


end