function  Ishape_analitic_extrem(geom,mat,freq,files,idxfig)
a = geom.a;
l = geom.l;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
nop = length(fvect);
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);
%% adancimea de patrundere
delta = sqrt(2./(2*pi.*fvect*miu*sig));
figure(idxfig); clf;
loglog(fvect,delta*1e6,'Linewidth',2);
xlabel('f [Hz]');
ylabel('{\delta} [{\mu}m]');
title('Penetration depth')
grid on;
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

%% valori analitice de curent continuu
Rl = 1/(sig*pi*a^2);
Rcc = Rl*l;
Ll = miu/(8*pi);
Lcc = Ll*l;

%% valori analitice la efect pelicular pronuntat
Rl = 1./(sig*2*pi*a*delta);
Rpp = Rl*l;
Ll = miu*delta/(4*pi*a);
Lpp = Ll*l;

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rpp,'-r','Linewidth',2);
leg{1} = 'strong penetration depth';
hold on;
loglog(fvect,Rcc*ones(nop,1),'--b','Linewidth',2);
leg{2} = 'direct current';
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance');
legend(leg,'Location','best');
grid on;
ylim([4e-3,1e-1]);
xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idx = find(Rpp-Rcc>0,1);
Rasimptote = [Rcc*ones(idx-1,1); Rpp(idx:end)];
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Rasimptote,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance - from extreme cases');
grid on;
ylim([4e-3,1e-1]);
xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lpp,'-r','Linewidth',2);
leg{1} = 'strong penetration depth';
hold on;
loglog(fvect,Lcc*ones(nop,1),'--b','Linewidth',2);
leg{2} = 'direct current';
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity');
legend(leg,'Location','best');
grid on;
ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idx = find(Lpp-Lcc<0,1);
Lasimptote = [Lcc*ones(idx-1,1); Lpp(idx:end) ];
idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,Lasimptote,'--k','Linewidth',2);
xlabel('f [Hz]');
ylabel('L [H]');
title('Inductivity - from extreme cases');
grid on;
ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zasimptote = Rasimptote + 1i.*2*pi.*fvect.*Lasimptote;
Yasimptote = 1./Zasimptote;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zasimptote, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Yasimptote, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);




end

