clc;
close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\Results_log\03_Ishape3Danalitic';
addpath(sourcespath);
addpath(problempath);
chdir(problempath);
outpath1 = 'out_extrem';
outpath2 = 'out_analitic_MQS';
outpath3 = 'out_analitic_FW';
%% geometrie
d = 5e-6; %[m] diametrul conductorului
geom.a = d/2; % raza conductorului
%zmax = 500e-6; [m] 
zmax = 10e-6; %[m]
geom.l = zmax; % lungimea conductorului
%% materiale
format long e;
% material
mat.sig = 6.6e7; %[S/m] conductivitate - Aluminiu
mat.mu = 4*pi*1e-7; %[H/m] permeabilitate - aer
%% gama de frecvente
fmin = 0.1; %[Hz]
fmax = 100e9; %[Hz]
%fmax = 1e17;
% frecvente de calcul
nop = 100;
freq.fvect = logspace(log10(fmin),log10(fmax),nop)';
%nop = 1;
%freq.fvect = 60e9;
%nop = 3;
%freq.fvect = [1e7; 3e9; 100e9];
%%%%
%% calculul extrem - curent continuu si efect pelicular pronuntat
if 1 == 0
    files.outpath = outpath1;
    files.problempath = problempath;
    files.rootname = 'Ishape_cil_extrem_';
    idxfig = 1; % number of starting figure - for plots
    Ishape_analitic_extrem(geom,mat,freq,files,idxfig);
end

%% calculul MQS -formule analitice
if 1 == 0
    files.outpath = outpath2;
    files.problempath = problempath;
    files.rootname = 'Ishape_cil_MQS_';
    idxfig = 10; % number of starting figure - for plots
    Ishape_analitic_Bessel_MQS(geom,mat,freq,files,idxfig);
end

%% calculul FW -formule analitice
if 1 == 1
    mat.eps = 8.854187812812e-12; %F/m
    files.outpath = outpath3;
    files.problempath = problempath;
    files.rootname = 'Ishape_cil_FW_';
    idxfig = 20; % number of starting figure - for plots
    Ishape_analitic_Bessel_FW(geom,mat,freq,files,idxfig);
end
