clc;
clear all;
myfontsize=14;
myfontsizelegend=14;
set(0,'DefaultAxesFontName', 'Helvetica')
set(0,'DefaultAxesFontSize', myfontsize)
set(0,'DefaultLineLineWidth', 2);
format long

fmin = 1e3;
fmax = 80e3;
nop = 100;
fvect = linspace(fmin,fmax,nop);

mu0 = 4*pi*1e-7;
sigma = 1e7;

rwire = 2.5e-3;

delta = sqrt(2./(2*pi.*fvect*mu0*sigma))

figure(1); clf
plot(fvect,delta*1e3,'--b'); hold on
xlabel('f [Hz]');
rw = 2.5e-3;
plot([fvect(1),fvect(end)],[rw*1e3,rw*1e3],'-r');
ylabel('delta [mm]');
grid on;
legend('delta','radius of conductor');

