restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
addpath(sourcespath);

close all;
clearvars; format long
clc

snp_filename = 'vfit_final_iter4_ord4_Y_RI.s1p';
snp_pathname = '.\';
nop = 1; % nr of ports

[ptype,pformatfile,frequency_points,value,Z0,freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));
nof = length(frequency_points);
if strcmpi(freq_unit,'HZ')
    frad = 2*pi*frequency_points;
elseif strcmpi(freq_unit,'KHZ')
    frad = 2*pi*frequency_points*1e3;
elseif strcmpi(freq_unit,'MHZ')
    frad = 2*pi*frequency_points*1e6;
elseif strcmpi(freq_unit,'GHZ')
    frad = 2*pi*frequency_points*1e9;
else
    frad = frequency_points;
end;
nopoints = 100; % to compute the answer of the reduced model
fmin = frequency_points(1);
fmax = frequency_points(nof);
frecv2 = linspace(fmin,fmax,nopoints);
%frecv2 = logspace(log10(fmin),log10(fmax),nopoints);
if strcmpi(freq_unit,'HZ')
    frecv2r = 2*pi*frecv2;
elseif strcmpi(freq_unit,'KHZ')
    %disp('change frequency from KHz to rad/s')
    frecv2r = 2*pi*frecv2*1e3;
elseif strcmpi(freq_unit,'MHZ')
    %disp('change frequency from MHz to rad/s')
    frecv2r = 2*pi*frecv2*1e6;
elseif strcmpi(freq_unit,'GHZ')
    %disp('change frequency from GHz to rad/s');
    frecv2r = 2*pi*frecv2*1e9;
else
    frecv2r = frecv2;
    %disp('frequency is in rad/s');
end;


s = frad*1i;

ordin = 2;

opts.N = ordin;              %Order of approximation. (Is used when opts.poles=[]).
opts.poletype='lincmplx';   %Will use logarithmically spaced, complex poles. (Is used when opts.poles=[]).
opts.plot = 0; % ca sa nu mai deseneze pe ecran
opts.logx = 0; % ca sa afiseze scara liniara pe frecventa
opts.screen = 0; % ca sa nu mai scrie in consola
opts.plot = 1; % 1 - vad grafice, 0 nu vad
opts.asymp=1; % --> D=0,  E=0  ('Strictly proper')
%opts.asymp=2; % --> D~=0, E=0  ('Proper')
%opts.asymp=3; % --> D~=0, E~=0 ('Improper')

if nop == 1 % SISO
    nopct = max(size(value));
    newresp = zeros(1,1,nopct);
    newresp(1,1,:) = value;
else
    newresp = response;
end


poles=[]; %[] -->N initial poles are automatically generated as defined by opts.startpoleflag
[SER,rmserr,bigYfit,opts2] = VFdriver(newresp,s,poles,opts); %
poles = SER.poles
residues = SER.R
kinf = SER.D
prop = SER.E

if nop == 1 %SISO
    response_red = zeros(nof,1);
    for k1 = 1:nof
        tf = 0;
        omega_crt = frad(k1);
        for k2 = 1:ordin
            tf = tf + residues(k2)/(1i*omega_crt - poles(k2));
        end
        tf = tf + kinf + 1i*omega_crt*prop;
        response_red(k1) = tf;
    end
else
    response_red = zeros(nop,nop,nof);
    for k1 = 1:nof
        tf = zeros(nop,nop);
        omega_crt = frad(k1);
        for k2 = 1:ordin
            tf = tf + residues(:,:,k2)./(1i*omega_crt - poles(k2));
        end
        tf = tf + kinf + 1i*omega_crt*prop;
        response_red(:,:,k1) = tf;
    end
end


if nop == 1 %SISO
    rasp2 = zeros(nopoints,1);
    for k1 = 1:nopoints
        tf = 0;
        omega_crt = frecv2r(k1);
        for k2 = 1:ordin
            tf = tf + residues(k2)/(1i*omega_crt - poles(k2));
        end
        tf = tf + kinf + 1i*omega_crt*prop;
        rasp2(k1) = tf;
    end
else
    rasp2 = zeros(nop,nop,nopoints);
    for k1 = 1:nopoints
        tf = zeros(nop,nop);
        omega_crt = frecv2r(k1);
        for k2 = 1:ordin
            tf = tf + residues(:,:,k2)./(1i*omega_crt - poles(k2));
        end
        tf = tf + kinf + 1i*omega_crt*prop;
        rasp2(:,:,k1) = tf;
    end
end


writesnp_v2(strcat('vfit_redus','_ord',num2str(length(poles)),'.s',num2str(nop),'p'), ...
    frecv2, rasp2, ptype, ...
    freq_unit,Z0,'RI');

% calcul R,L,C

p1 = poles(1)
k1 = residues(1)
%p1 = -1.448872098022600e+03 + 5.667747522608865e+04i
%k1 = 5.442845758584497e+04 + 2.774273121052484e+03i

L = 1/(k1 + conj(k1))

R = -(p1 + conj(p1))/(k1 + conj(k1))

C = (k1 + conj(k1))/(p1*conj(p1))

Rcircuit = 7.2*1e-3;
Lcircuit = 10.1*1e-6;
Ccircuit = 33.4*1e-6;

Rextras = 2.661975301683734e-02
Lextras = 9.186370920237750e-06
Cextras = 3.386501847611159e-05

erR = (Rextras-Rcircuit)/Rcircuit
erL = (Lextras-Lcircuit)/Lcircuit
erC = (Cextras-Ccircuit)/Ccircuit



