clc;
%clear all;
myfontsize=14;
myfontsizelegend=14;
set(0,'DefaultAxesFontName', 'Helvetica')
set(0,'DefaultAxesFontSize', myfontsize)
set(0,'DefaultLineLineWidth', 2);
%close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\Results_log\04_LC\results27oct21_afs_figuresJMI';
addpath(sourcespath);
addpath(problempath);
chdir(problempath);

if (1==1) % rezolvarea cu AFS
    afs = 1;
    snp_pathname = './res/FWeceBC_voltExc/';
    %snp_filename = 'test_Y_RI_10pctLinux_1_80000.s1p';
    snp_filename = 'vfit_final_iter4_ord4_Y_RI.s1p';
    
    snp_filename_AFSpoints = 'LC_Y_RI_onelab_AFSvfitlinf_0.010000_erVF0.000100.s1p';
    
    [ptype,pformatfile,frequency_pointsAFS,valueAFS,Z0,freq_unit,nports] = ...
        loadsnp(strcat(snp_pathname,snp_filename_AFSpoints));
    if strcmpi(freq_unit,'HZ')
        %
    elseif strcmpi(freq_unit,'KHZ')
        frequency_pointsAFS = frequency_pointsAFS*1e3;
    elseif strcmpi(freq_unit,'MHZ')
        frequency_pointsAFS = frequency_pointsAFS*1e6;
    elseif strcmpi(freq_unit,'GHZ')
        frequency_pointsAFS = frequency_pointsAFS*1e9;
    else
        frequency_pointsAFS = frequency_pointsAFS/(2*pi);
    end;
    
    switch upper(ptype)
        case 'Y'
            valueZAFS = 1./valueAFS;
            idxfig = 0;
        case 'Z'
            idxfig = 10;
            valueZAFS = valueAFS;
        otherwise
            disp('type - not implemented');
    end
    
else % rezolvarea de pe linux in 10 puncte
    afs = 0;
    
    snp_pathname = './res/FWeceBC_voltExc/';
    snp_filename = 'test_Y_RI_10pctLinux_1_80000_sigmaZeroDiel.s1p';
end

[ptype,pformatfile,frequency_points,value,Z0,freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));
[nn,mm,ll] = size(value);

if strcmpi(freq_unit,'HZ')
    %
elseif strcmpi(freq_unit,'KHZ')
    frequency_points = frequency_points*1e3;
elseif strcmpi(freq_unit,'MHZ')
    frequency_points = frequency_points*1e6;
elseif strcmpi(freq_unit,'GHZ')
    frequency_points = frequency_points*1e9;
else
    frequency_points = frequency_points/(2*pi);
end;

freq_unit = 'Hz';


if mm == 1  % SISO
    switch upper(ptype)
        case 'Y'
            valueZ = 1./value;
            idxfig = 0;
        case 'Z'
            idxfig = 10;
            valueZ = value;
        otherwise
            disp('type - not implemented');
    end
    Rext = 450*1e-3; %Ohm
    Vrms = 1;
    valueZech = valueZ + Rext;
    Irms = Vrms./abs(valueZech);
    %phaseI =  -angle(valueZech)*180/pi;
    phaseI =  -atan2(imag(valueZech),real(valueZech))*180/pi;
    phaseShift = -phaseI;
    
    if (afs == 1)
        valueZechAFS = valueZAFS + Rext;
        IrmsAFS = Vrms./abs(valueZechAFS);
        %phaseI =  -angle(valueZech)*180/pi;
        phaseIAFS =  -atan2(imag(valueZechAFS),real(valueZechAFS))*180/pi;
        phaseShiftAFS = -phaseIAFS;
    end
   
    
    Rcircuit = 7.2*1e-3 + Rext;
    Lcircuit = 10.1*1e-6;
    Ccircuit = 33.4*1e-6;
    fmin = frequency_points(1);   % 1 Hz
    fmax = frequency_points(end); % 80 kHz
    nop = 100;
    fvect = linspace(fmin,fmax,nop);
    IrmsCircuit_complex = 1./(Rcircuit + 1i*2*pi*fvect*Lcircuit + 1./(1i*2*pi*fvect*Ccircuit));
    Ycpl = 1./(7.2*1e-3 + 1i*2*pi*fvect*Lcircuit + 1./(1i*2*pi*fvect*Ccircuit));
    IrmsCircuit = Vrms./sqrt(Rcircuit^2 + (2*pi*fvect*Lcircuit-1./(2*pi*fvect*Ccircuit)).^2);
    phaseIcircuit = -atan2(2*pi*fvect*Lcircuit-1./(2*pi*fvect*Ccircuit),Rcircuit)*180/pi;
    phaseShiftCircuit = -phaseIcircuit;
    figure(1+idxfig); clf
    plot(fvect,IrmsCircuit,'-k'); hold on
    %     figure(2+idxfig);
    %     plot(fvect,phaseIcircuit,'-k');
    plot(frequency_points,Irms,'--r'); 
    xlabel(sprintf('Frequency [%s]',freq_unit));
    ylabel('Irms [A]');
    grid on;
    title('LC model + external circuit');
    if (afs == 1)
         plot(frequency_pointsAFS,IrmsAFS,'ob');
         legend('RLC Circuit (reference)', 'Reduced model of order 4 (TF)','AFS points');
    else
        legend('Circuit','Onelab,ECE');
    end
    figure(3+idxfig); clf;
    plot(fvect,phaseShiftCircuit,'-k'); hold on;
    plot(frequency_points,phaseShift,'--r'); 
    xlabel(sprintf('Frequency [%s]',freq_unit));
    ylabel('Phase difference [degrees]');
    grid on;
    title('LC model + external circuit');
    if (afs == 1)
        plot(frequency_pointsAFS,phaseShiftAFS,'ob');
        legend('RLC Circuit (reference)', 'Reduced model of order 4 (TF)','AFS points');
    else
        legend('Circuit','Onelab,ECE');
    end
    
else
    error('this should be SISO');
end

