clc;
clear all;
%close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\Results_log\04_LC\results9mar22';
addpath(sourcespath);
addpath(problempath);
chdir(problempath);

if (1==0)
    snp_pathname = './res_LC_GeometryInStepFile/FWeceBC_voltExc/';
    snp_filename = 'test_Y_RI.s1p';
else
    snp_pathname = './res_LC_GeometryInStepFile/FWeceBC_crtExc/';
    snp_filename = 'test_Z_RI.s1p';
end

[ptype,pformatfile,frequency_points,value,Z0,freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));
[nn,mm,ll] = size(value);


if mm == 1  % SISO
    switch upper(ptype)
        case 'Y'
            valueZ = 1./value;
            idxfig = 0;
        case 'Z'
            idxfig = 10;
            valueZ = value;
        otherwise
            disp('type - not implemented');
    end
    Rext = 450*1e-3; %Ohm
    Vrms = 1;
    valueZech = valueZ + Rext;
    Irms = Vrms./abs(valueZech);
    phaseI =  -angle(valueZech)*180/pi;
    phaseShift = -phaseI;
    
    
    figure(1+idxfig); clf;
    plot(frequency_points,Irms,'*r'); hold on;
    xlabel(sprintf('Frequency [%s]',freq_unit));
    ylabel('Irms [A]');
    grid on;
    title('LC test');
%     figure(2+idxfig); clf;
%     plot(frequency_points,phaseI,'sr'); hold on
%     xlabel(sprintf('Frequency [%s]',freq_unit));
%     ylabel('I argument [degrees]');
%     grid on;
%     title('LC test');
    figure(3+idxfig); clf;
    plot(frequency_points,phaseShift,'sr'); hold on;
    xlabel(sprintf('Frequency [%s]',freq_unit));
    ylabel('Phase difference [degrees]');
    grid on;
    title('LC test');
    
    
    Rcircuit = 7.2*1e-3 + Rext;
    Lcircuit = 10.1*1e-6;
    Ccircuit = 33.4*1e-6;
    fmin = frequency_points(1);   % 1 kHz
    fmax = frequency_points(end); % 80 kHz
    nop = 100;
    fvect = linspace(fmin,fmax,nop);
    IrmsCircuit = Vrms./sqrt(Rcircuit^2 + (2*pi*fvect*Lcircuit-1./(2*pi*fvect*Ccircuit)).^2);
    phaseIcircuit = -atan2(2*pi*fvect*Lcircuit-1./(2*pi*fvect*Ccircuit),Rcircuit)*180/pi;
    phaseShiftCircuit = -phaseIcircuit;
    figure(1+idxfig);
    plot(fvect,IrmsCircuit,'-k');
%     figure(2+idxfig);
%     plot(fvect,phaseIcircuit,'-k');
    legend('Onelab,ECE - JO - step file','Circuit');
    figure(3+idxfig)
    plot(fvect,phaseShiftCircuit,'-k');
    legend('Onelab,ECE - JO - step file','Circuit');

else
  error('this should be SISO');
end

