FunctionSpace {
  { Name Hgrad_v_EC; Type Form0; // nodal
    BasisFunction {
      { Name sn; NameOfCoef vn; Function BF_Node;
        Support Dom_EC; Entity NodesOf[ All, Not Sur_Terminals_ECece ]; }
      { Name sf; NameOfCoef vf; Function BF_GroupOfNodes;
        Support Dom_EC; Entity GroupsOfNodesOf[ Sur_Terminals_ECece ]; }
    }
    GlobalQuantity {
      { Name TerminalPotential; Type AliasOf       ; NameOfCoef vf; }
      { Name TerminalCurrent;   Type AssociatedWith; NameOfCoef vf; }
    }
    Constraint {
      { NameOfCoef TerminalPotential; EntityType GroupsOfNodesOf;
	    NameOfConstraint SetTerminalPotential; }
      { NameOfCoef TerminalCurrent; EntityType GroupsOfNodesOf;
	    NameOfConstraint SetTerminalCurrent; }
    }
  }
}

Formulation {
  { Name Electrokinetics_v; Type FemEquation;
    Quantity {
      { Name v; Type Local;  NameOfSpace Hgrad_v_EC; }
      { Name V; Type Global; NameOfSpace Hgrad_v_EC [TerminalPotential]; }
      { Name I; Type Global; NameOfSpace Hgrad_v_EC [TerminalCurrent]; }
    }
    Equation {
      Integral { [ sigma[] * Dof{d v} , {d v} ];
        In Vol_EC; Jacobian Vol; Integration Int; }
      GlobalTerm { [ -Dof{I} , {V} ]; In Sur_Terminals_ECece; }
    }
  }
}
