FunctionSpace {
  { Name Hcurl_E; Type Form1;  // Espace
    BasisFunction {
      // E = e  s   ,  for all edges
      //      e  e
      { Name se; NameOfCoef ee; Function BF_Edge;
        Support Dom_FW; Entity EdgesOf[All]; }
    }
    Constraint {
      { NameOfCoef ee; EntityType EdgesOf;  //ee are voltages along edges
        NameOfConstraint ElectricVoltages; // impose voltages along edges with known Et
      }  
    }
  }
}

Formulation {
  { Name VoltageSource_e_BC ; // Imposing the source: circulation of e on edges 
    Quantity {
      { Name e; Type Local; NameOfSpace Hcurl_E; }
    }
    Equation {
      Galerkin { [  Dof{e} , {e} ];
        In Sur_E_FWclassic; Integration Int; Jacobian Sur;  }
      Galerkin { [ -BC_Fct_e[], {e} ];
        In Sur_E_FWclassic; Integration Int; Jacobian Sur;  }
    }
  }
 /* ********************* */
  { Name FullWave_E_classic; Type FemEquation;
    Quantity {
      { Name e;      Type Local; NameOfSpace Hcurl_E; }
    }
    Equation {
      // \int_D curl(\vec{E}) \cdot  curl(\vec{e}) dv
      Galerkin { [ nu[] * Dof{d e} , {d e} ]; In Vol_FW;
        Jacobian Vol; Integration Int; }

      // \int_D j*\omega*(\sigma + j*\omega*\epsilon) \vec{E} \cdot \vec{e} dv
      Galerkin { DtDof [ sigma[]  * Dof{e} , {e} ]; In Vol_FW;
        Jacobian Vol; Integration Int; }

      Galerkin { DtDtDof [ epsilon[]  * Dof{e} , {e} ]; In Vol_FW;
        Jacobian Vol; Integration Int; }
		
	// - j*omega*int_SH (\vec{n} \times \vec{H}_t) \cdot \vec{e} dA	
     Galerkin { DtDof [ Normal[] /\ -BC_Fct_h[] , {e} ]; In Sur_H_FWclassic;
        Jacobian Sur; Integration Int; }
    }
  }
}