function [] = snp2snp(snp_pathname,snp_filename,type,representation,...
    new_filename)

numein = snp_filename;
[ptype,pformatfile,frequency_points,value,Z0,...
    freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));
ext = strcat('.s',num2str(nports),'p');
lext = length(ext);

if isempty(new_filename)
    new_filename = numein;
    ll = length(new_filename);
    newf = new_filename;
    new_filename = strcat(newf(1:ll-length(ext)),'_from_',ptype,...
        '_to_',type,ext);
else
    ll = length(new_filename);
    if ll > lext
        if ~strcmp(new_filename(ll-lext+1:ll),ext)
            % wrong extension - add correct extension
            new_filename = strcat(new_filename,ext);
        end
    else
        new_filename = strcat(new_filename,ext);
    end
end



if strcmp(ptype,type) ==0
    disp(sprintf('Conversion from %s to %s',ptype,type));
    switch ptype
        case 'S'
            switch type
                case 'Z'
                    [value] = mys2z(value,Z0);
                case 'Y'
                    [value] = mys2z(value,Z0);
                    [value] = myz2y(value);
                otherwise
                    disp('snp2snp.m: Invalid parameter. Only S, Z or Y implemented');
            end
        case 'Z'
            switch type
                case 'S'
                    [value] = myz2s(value,Z0);
                case 'Y'
                    [value] = myz2y(value);
                otherwise
                    disp('snp2snp.m: Invalid parameter. Only S, Z or Y implemented');
            end
        case 'Y'
            switch type
                case 'S'
                    [value] = myy2z(value);
                    [value] = myz2s(value,Z0);
                case 'Z'
                    [value] = myy2z(value);
                otherwise
                    disp('snp2snp.m: Invalid parameter. Only S, Z or Y implemented');
            end
        otherwise
            disp(sprintf('Format %s in file %s',ptype,snp_pathname));
            disp('Compute inverse');
            [value] = myy2z(value);
            type = 'H';
            new_filename = strcat(newf(1:ll-length(ext)),'_from_',ptype,...
                '_to_',type,ext);
    end
end

[ok] = writesnp_v2(strcat(snp_pathname,new_filename), frequency_points, value, type, freq_unit,Z0,representation);
if ok == 0
    disp(sprintf('%s file was written succesfully',new_filename));
    disp('snp2snp - DONE');
else
    disp('snp2snp - FAILURE');
end
