function snp_imag_over_omega(snp_pathname,snp_filename,new_filename)

[ptype,pformatfile,frequency_points,value,Z0,freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));

twopifrec = 2*pi*frequency_points;
[nn,mm,ll] = size(value);
if mm == 1  % SISO
    imagval = imag(value)./twopifrec;
    switch upper(freq_unit)
        case 'GHZ'
            imagval = imagval/1e9;
        case 'MHZ'
            imagval = imagval/1e6;
        case 'KHZ'
            imagval = imagval/1e3;
        case 'RAD/S'
            imagval = imag(value)./frequency_points;
        otherwise
            disp('no unit conversion needed');
    end
    value = real(value) + sqrt(-1)*imagval;
else
    for k = 1:length(frequency_points)
        realval = real(value(:,:,k));
        imagval = imag(value(:,:,k))/twopifrec(k);
        
        switch upper(freq_unit)
            case 'GHZ'
                imagval = imagval/1e9;
            case 'MHZ'
                imagval = imagval/1e6;
            case 'KHZ'
                imagval = imagval/1e3;
            case 'RAD/S'
                imagval = imag(value(:,:,k))/frequency_points(k);
            otherwise
                disp('no unit conversion needed');
        end
        value(:,:,k) = realval + sqrt(-1)*imagval;
    end
end
extension = strcat('.s',num2str(nports),'p');
lext = length(extension);
if isempty(new_filename)
    ll = length(snp_filename);
    new_filename = strcat(snp_filename(1:ll-lext),'_imag_over_omega',extension);
else
    ll = length(new_filename);
    if ll > lext
        if ~strcmp(new_filename(ll-lext+1:ll),extension)
            % wrong extension - add correct extension
            new_filename = strcat(new_filename,extension);
        end
    else
        new_filename = strcat(new_filename,extension);
    end
end

writesnp_v2(strcat(snp_pathname,new_filename), frequency_points, value, ptype, freq_unit,Z0,pformatfile);
fprintf('new file written: %s \n',new_filename);
end