function [] = snpdiff2(snp_ref_filename,snp_ref_pathname,...
    snp_an_filename,snp_an_pathname)

% read the reference
[ptype{1},pformatfile{1},frequency_points{1},value{1},Z0{1},...
    freq_unit{1},nports{1}] = ...
    loadsnp(strcat(snp_ref_pathname,snp_ref_filename));
switch upper(freq_unit{1})
    case 'RAD/S'
        frequency_points{1} = frequency_points{1}/(2*pi);
        %sysan = frd(value{1}, frequency_points{1},'units','rad/s');
    case 'HZ'
        %sysan = frd(value{1}, frequency_points{1},'units','Hz');
    case 'KHZ'
        frequency_points{1}=1e3.*frequency_points{1};
        %sysan = frd(value{1}, frequency_points{1},'units','Hz');
    case 'MHZ'
        frequency_points{1}=1e6.*frequency_points{1};
        %sysan = frd(value{1}, frequency_points{1},'units','Hz');
    case 'GHZ'
        frequency_points{1}=1e9.*frequency_points{1};
        %sysan = frd(value{1}, frequency_points{1},'units','Hz');
    otherwise
        error('snpdiff.m: unknown frequency unit');
end
freq_unit{1} = 'Hz';
%ref_device = sysan;
no_an = length(snp_an_filename);
for i = 1:no_an
    [ptype{i+1},pformatfile{i+1},frequency_points{i+1},value{i+1},...
        Z0{i+1}, freq_unit{i+1},nports{i+1}] = ...
        loadsnp(strcat(snp_an_pathname{i},snp_an_filename{i}));
    switch upper(freq_unit{i+1})
        case 'RAD/S'
            %sysan = frd(value{i+1}, frequency_points{i+1},'units','rad/s');
        case 'HZ'
            %sysan = frd(value{i+1}, frequency_points{i+1},'units','Hz');
        case 'KHZ'
            frequency_points{i+1}=1e3.*frequency_points{i+1};
            %sysan = frd(value{i+1}, frequency_points{i+1},'units','Hz');
        case 'MHZ'
            frequency_points{i+1}=1e6.*frequency_points{i+1};
            %sysan = frd(value{i}, frequency_points{i},'units','Hz');
        case 'GHZ'
            frequency_points{i+1}=1e9.*frequency_points{i+1};
            %sysan = frd(value{i+1}, frequency_points{i+1},'units','Hz');
    end
    %sys_an{i} = sysan;
    freq_unit{i+1} = 'Hz';
end
tit{1} = snp_ref_filename;
if ~isempty(snp_an_filename)
    for i = 2:no_an+1
        tit{i} = snp_an_filename{i-1};
    end
else
    no_an = 0;
end
tipx = 'Xaxis-lin'; tipy = 'Yaxis-lin'; errortype = 'Frobenius';
posleg = 0;
[ok] = plot_snp2(ptype,pformatfile,frequency_points,...
    freq_unit,value,tit,no_an+1,Z0,tipx,tipy,posleg,errortype);

% plot_snp(thisptype,thispformatfile,...
%     thisfrequency_points, thisfreq_unit, thisvalue, thisfile,...
%     2, [], thisZ0, handles.tipx, handles.tipy, 0,handles.errortype);


% switch no_an
%     case 0
%         ltiview(ref_device);
%     case 1
%         an_device_1 = sys_an{1};
%         ltiview(ref_device,an_device_1);
%     case 2
%         an_device_1 = sys_an{1};
%         an_device_2 = sys_an{2};
%         ltiview(ref_device,an_device_1,an_device_2);
%     case 3
%         an_device_1 = sys_an{1};
%         an_device_2 = sys_an{2};
%         an_device_3 = sys_an{3};
%         ltiview(ref_device,an_device_1,an_device_2,an_device_3);
%     case 4
%         an_device_1 = sys_an{1};
%         an_device_2 = sys_an{2};
%         an_device_3 = sys_an{3};
%         an_device_4 = sys_an{4};
%         ltiview(ref_device,an_device_1,an_device_2,an_device_3,an_device_4 );
%     otherwise
%         disp('ltiview called only if no of analysed system is less than 4');
% end