function [R,L,G,C,dataZ,dataY,ok] = z2rlc(in_param,frecv,len)
% in_param = Z
% frecv - frecventa in radiani
R = []; L = []; G = []; C = []; dataZ = []; dataY = []; 
ok = 0;
[n,m,ll] = size(in_param);
img = sqrt(-1);
if m ~= 2 
    disp('Invalid number of inputs/outputs. This method is only for s2p files');
    ok = 1;
else 
    Zc = zeros(1,ll);
    gammaL = zeros(1,ll);
    for i=1:ll
        Z = in_param(:,:,i);
        Zc(i) = sqrt(Z(1,1)^2-Z(1,2)^2);
        L = Z(1,1)/Z(1,2);
        K = sqrt(L^2-1);
        expGamma =  L + K;
        gammaL(i) = log(expGamma);
    end
    
    % check first point
    a1 = real(gammaL(1))/len;
    b1 = imag(gammaL(1))/len;
    lam1 = 2*pi/b1;
    if and(and(a1 >=0, b1>=0),lam1/len > 4)
        disp('First point is OK');    
    else
        disp('***************************************************************WARNING*************');
        disp('WARNING: computation is not accurate');
        disp('First frequency point is too large');
    end
    
    
    
    g1 = gammaL;
    figure(21);
    ff = frecv/(2*pi*1e9);
    h1 = plot(ff,real(g1/len),'-xr');
    hold on;
    h2 = plot(ff,imag(g1/len),'-.sb');
    title('\alpha and \beta before corection');
    leg{1} = '\alpha';
    leg{2} = '\beta';
    legend(leg,0);
    set(h1,'LineWidth',2);
    set(h2,'LineWidth',2);
    xlabel('Frequency [GHz]');
    figure(210);
    h1 = plot(ff,real(g1/len),'-xr');
    title('\alpha before corection');
    leg{1} = '\alpha';
    set(h1,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    %print -depsc fig21.eps;

    for j = 1:ll
        if real(gammaL(j)) < -eps
            gammaL(j) = -real(gammaL(j)) - img*imag(gammaL(j));
        end
    end
    g2 = gammaL;
    figure(22);
    h1 = plot(ff,real(g2/len),'-xr');
    hold on;
    h2 = plot(ff,imag(g2/len),'-.sb');
    title('\alpha and \beta after first correction step');
    leg{1} = '\alpha';
    leg{2} = '\beta';
    legend(leg,0);
    set(h1,'LineWidth',2);
    set(h2,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    figure(220)
    h1 = plot(ff,real(g2/len),'-xr');
    title('\alpha after first correction step');
    leg{1} = '\alpha';
    legend(leg,0);
    set(h1,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    %print -depsc fig22.eps;
    for j = 2:ll
        if  imag(gammaL(j-1)) > imag(gammaL(j)) 
            for k = j:ll
                gammaL(k) = real(gammaL(k)) + img*(imag(gammaL(k))) + 2*pi*img;
            end
        end
    end
    g3 = gammaL;
    figure(23);
    h1 = plot(ff,real(g3/len),'-xr');
    hold on;
    h2 = plot(ff,imag(g3/len),'-.sb');
    title('\alpha and \beta after second correction step');
    leg{1} = '\alpha';
    leg{2} = '\beta';
    legend(leg,0);
    set(h1,'LineWidth',2);
    set(h2,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    figure(230)
    h1 = plot(ff,real(g3/len),'-xr');
    title('\alpha after second correction step');
    leg{1} = '\alpha';
    set(h1,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    figure(24); clf;
    h1 = plot(ff,abs(Zc),'-xr');
    title('abs(Z_c) in \Omega');
    set(h1,'LineWidth',2);
    xlabel('Frequency [GHz]');
    figure(25); clf;
    h1 = plot(ff,phase(Zc)*180/pi,'-xr');
    title('phase(Z_c) in degrees');
    set(h1,'LineWidth',2);
    xlabel('Frequency [GHz]');
    
    
    %print -depsc fig23.eps;
%     figure(24);
%     plot(ff,2*pi./imag(g1/len)./len,'-.sb');
%     title('\lambda/l before correction');
%     figure(25);
%     plot(ff,2*pi./imag(g2/len)./len,'-.sb');
%     title('\lambda/l after first correction')
%     figure(26);
%     plot(ff,2*pi./imag(g3/len)./len,'-.sb');
%     title('\lambda/l after second correction')

    % ultima verificare a lui alpha - tb sa fie strict crescator
    i1 = 0;
    for i = 2:ll
        if  real(gammaL(i-1)) > real(gammaL(i))
            %             for k = j:ll
            %                 gammaL(k) = real(gammaL(k)) + img*(imag(gammaL(k))) + 2*pi*img;
            %             end
            fprintf('Comportare nenaturala a lui alpha la f = %f GHz\n',ff(i));
            %fprintf('Se va face o corectie\n');
            if i1 == 0
                i1 = i; % se va face o corectie
            end
        end
    end
%     if i1 ~= 0
%         stanga = i1-10;
%         ffesantion = ff(stanga:end);
%         aa = i1-20;
%         bb = stanga;
%         valoricorectateRE = interp1([ff(aa),ff(bb)],[real(gammaL(aa)),real(gammaL(bb))],...
%             ffesantion,'linear','extrap');
%         valoricorectateIM = interp1([ff(aa),ff(bb)],[imag(gammaL(aa)),imag(gammaL(bb))],...
%             ffesantion,'linear','extrap');
%         valoriIM = imag(gammaL(stanga:end));
%         gammaL(stanga:end) = valoricorectateRE' + img*valoricorectateIM';
%         figure(231); clf;
%         g4 = gammaL;
%         h1 = plot(ff,real(g4/len),'-xr');
%         title('\alpha after final correction step (3rd)');
%         set(h1,'LineWidth',2);
%         xlabel('Frequency [GHz]');
%         
%         valoricorectateREZC = interp1([ff(aa),ff(bb)],[real(Zc(aa)),real(Zc(bb))],...
%             ffesantion,'linear','extrap');
%         valoricorectateImZC = interp1([ff(aa),ff(bb)],[imag(Zc(aa)),imag(Zc(bb))],...
%             ffesantion,'linear','extrap');
%         Zc(stanga:end) = valoricorectateREZC + img*valoricorectateImZC;
%         figure(232); clf;
%         h1 = plot(ff,real(Zc),'-xr');
%         title('Real (Zc) after correction step');
%         set(h1,'LineWidth',2);
%         xlabel('Frequency [GHz]');
%         figure(233); clf;
%         h1 = plot(ff,imag(Zc),'-xr');
%         title('Imag (Zc) after correction step');
%         set(h1,'LineWidth',2);
%         xlabel('Frequency [GHz]');
%         
%         
%     end
    

    
    gamma = zeros(1,ll);
    for i = 1:ll    
        gamma(i) = gammaL(i)/len;
        ZZ = gamma(i)*Zc(i);
        YY = gamma(i)/Zc(i);
        R(:,:,i) = real(ZZ);
        L(:,:,i) = imag(ZZ)/frecv(i);
        G(:,:,i) = real(YY);
        C(:,:,i) = imag(YY)/frecv(i);
        dataZ(:,:,i) = ZZ;
        dataY(:,:,i) = YY;
    end
    
    
end
